<?xml version="1.0" encoding="utf-8" ?>
<taskrunner name="detach.all" version="1.0" date="2008-06-19" maxthreads="1">

  <!-- checks installed version. -->

  <includes>
    <file name="vida.install.settings.xml" />
  </includes>

  <parameters>
    <parameter name="cert" value="#INPUT"/>
  </parameters>


  <tasks>
    <task name="add.certificate.1" typename="@CommandLine">
      <dependencies list=""/>
      <parameters>
        <parameter name="filename" value="${install.src.dice.dir}\CertMgr.exe"/>
        <parameter name="arguments" value="/add ${cert} /s /r localMachine root"/>
        <parameter name="workingdirectory" value="${install.src.dice.dir}"/>
        <parameter name="exitcode.return.value" value="cert.exitcode"/>
      </parameters>
    </task>

    <task name="write.exitcode.1" typename="@WriteInformation">
      <dependencies list="add.certificate.1"/>
      <parameters>
        <parameter name="message" value="add.certificate.1 exited with code: ¤{cert.exitcode}"/>
      </parameters>
    </task>

    <task name="add.certificate.2" typename="@CommandLine">
      <dependencies list="add.certificate.1,write.exitcode.1"/>
      <parameters>
        <parameter name="filename" value="${install.src.dice.dir}\CertMgr.exe"/>
        <parameter name="arguments" value="/add ${cert} /s /r localMachine trustedpublisher"/>
        <parameter name="workingdirectory" value="${install.src.dice.dir}"/>
        <parameter name="exitcode.return.value" value="cert.exitcode"/>
      </parameters>
    </task>

    <task name="write.exitcode.2" typename="@WriteInformation">
      <dependencies list="add.certificate.2"/>
      <parameters>
        <parameter name="message" value="add.certificate.1 exited with code: ¤{cert.exitcode}"/>
      </parameters>
    </task>
    
  </tasks>
  
</taskrunner>